WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Bug in 3.6.7.?

[Resolved] Bug in 3.6.7.?

  • michael walker
    Participant

    @michael-walker

    Hi,

    I just upgraded from 36.6. to 3.6.7. and since then, I cannot open any pages on my front end menu. The screen just flickers, then goes back to the home page, although the browser reports that is is showing the page I’d tried to open.

    Plus, if I try and open or edit any posts or pages, I receive the following message:

    Fatal error: Call to a member function get() on a non-object in /my website address/wp-content/plugins/amr-users/includes/ameta-admin.php on line 36

    Disabling AMR Users removes these problems. Any help/advice appreciated.

    http://wordpress.org/plugins/amr-users/

Viewing 15 replies - 1 through 15 (of 19 total)
  • davide.suppo
    Member

    @davidesuppo

    similar problem, just a different error message …

    Warning: array_keys() [function.array-keys]: The first argument should be an array in /web/htdocs/www.datipersonali.info/home/genuovo/wp-includes/class-wp.php on line 420

    silverwolf99
    Member

    @silverwolf99

    Similar problem after updating from 3.6.6. to 3.6.7. Message is…

    Warning: array_keys() expects parameter 1 to be array, null given in /homepages/35/d362628629/htdocs/Ishinryu_membership/Wordpress/wp-includes/class-wp.php on line 420

    Previously defined lists do not display. Is a download of previous version available please?

    Lumartist
    Member

    @lumartist

    Having the same problem. Also a few links on the admin pages doesn’t work after the update, like wp-admin/edit.php?post_type=page. Those are working fine after I disabled the plugin.

    Would be cool to see a fix for it soon.

    davide.suppo
    Member

    @davidesuppo

    i just reverted to previous vers. … that works fine for me

    Lumartist
    Member

    @lumartist

    i just reverted to previous vers. … that works fine for me

    May I ask how you did it?

    davide.suppo
    Member

    @davidesuppo

    you can find all the previous releases here http://wordpress.org/plugins/amr-users/developers/
    i deleted via ftt the amr folder (just to be sure all settings were still there) and just reinstalled it 🙂

    silverwolf99
    Member

    @silverwolf99

    Unwisely I updated to 3.6.7 without retaining a copy of the old version.

    Can someone please send me a copy to chris@silverwolf.co.uk please.
    Thanks in advance.

    Lumartist
    Member

    @lumartist

    you can find all the previous releases here http://wordpress.org/plugins/amr-users/developers/
    i deleted via ftt the amr folder (just to be sure all settings were still there) and just reinstalled it 🙂

    In the moment you did write it I found it out by using Mr. Google. 😉

    Worked fine so far, and the plugin is working again. Thanks for your help davide.suppo!

    Lumartist
    Member

    @lumartist

    Unwisely I updated to 3.6.7 without retaining a copy of the old version.

    Can someone please send me a copy to chris@silverwolf.co.uk please.
    Thanks in advance.

    See davide.suppos link. there you can download older versions!

    silverwolf99
    Member

    @silverwolf99

    Thanks Lumartist,
    Much appreciated.

    michael walker
    Participant

    @michael-walker

    Re-installing an older version will work. But since this new version is supposed to iron out a couple of kinks in the older version, it is not a perfect solution.

    roysmyth
    Member

    @roysmyth

    Thanks Davide for the pointer to 3.6.6.

    elurie
    Participant

    @elurie

    hi there,
    mee too!
    I just upgraded from 36.6. to 3.6.7. and since then, I cannot open any pages on my front end menu. The screen just flickers, then goes back to the home page, although the browser reports that is is showing the page I’d tried to open.
    yiikes!

    artminds
    Member

    @artminds

    This update also broke my site:

    Getting two errors, before disabling the plugin. The first error below shows on the home page. The second error showed on attempting to access another page that required login and was protected by S2member. Also using bbpress. The second error was the only thing to display on the page. The first error appeared above the normal content for the page.

    Warning: array_keys() [function.array-keys]: The first argument should be an array in /home4/artminds/public_html/MyMachipongo.Us/wp-includes/class-wp.php on line 420

    Warning: Cannot modify header information – headers already sent by (output started at /home4/artminds/public_html/MyMachipongo.Us/wp-includes/class-wp.php:420) in /home4/artminds/public_html/MyMachipongo.Us/wp-includes/pluggable.php on line 875

    Hope you fix it soon or provide the ability to download the prior version which served my purposed very nicely.

    Thank you,
    Art Minds

    davide.suppo
    Member

    @davidesuppo

    you can find all the previous releases here http://wordpress.org/plugins/amr-users/developers/

Viewing 15 replies - 1 through 15 (of 19 total)
  • The topic ‘[Resolved] Bug in 3.6.7.?’ is closed to new replies.